Subject: Re:

From: "Richard A. O'Keefe" <[email-masked]>
Date: Tue, 12 Dec 2000 12:03:23 +1300 (NZDT)

"Kevin Dunne" <[email-masked]> wrote
that he is trying to write a public transport route finding program in Prolog.

	I have written up all my facts and rules about all these
	different things but I am having real trouble trying to write
	the code to input a source and a destination and to search
	through all of my data, to find the easiest way to get from
	source to destination using whatever transport available???
	Any ideas anybody
	
Open any good data structures and algorithms textbook (Cormen, Leiserson,
and Rivest is an *extremely* good one), turn to the index, and look up
"shortest path".  You will find several algorithms given, depending on
whether you want to find the shortest path for a given pair or for all
pairs.